Create a New End UserAsk AIpost https://{account}.sysaidit.com/connect/v1/end-usersCreates a new end user in your SysAid account.Query ParamssendPasswordNotificationbooleanChoose whether to send a password notification email to the new end user.truefalseBody ParamsfirstNamestringrequiredlength ≤ 64The user's first name. Max length is 64 characters.lastNamestringlength ≤ 64The user's last name. Max length is 64 characters.displayNamestringThe user's display nameuserEmailstringThe user's email address.isDisabledbooleanA diasbled user is listed in the system, but does not have access to it. Default value is 'no' (user has access).falsetruefalsecompanyIdnumbernullUnique ID of the company the user works fordepartmentIdnumbernullUnique ID of the department the user belongs to.locationIdnumbernullUnique ID of the location associated with the user.timezonestringThe user's timezone. By default, the timezone will be set to the one chosen for your SysAid account.languagestringThe language used by the user. The default value is English.workPhonestringUser's work phone number/extensionmobilestringUser's mobile number.receiveSRNotificationsbooleanEnable or disable automatic service record email notifications when a service record is updated.truefalseenablePortalLoginbooleanEnable the user to log into the Self-Service Portal.truefalsemanagerIdintegerUnique ID of the user's manager.supervisorLevelstringenumGive the user access to Self-Service Portal service records created by other users. There are 3 levels: Regular user: Cannot view service records that do not belong to them (default). Department: Can view service records created by anyone in their department. Company: Can view service records created by anyone in the company. departmentnonedepartmentcompanyAllowed:nonedepartmentcompanyjobTitlestring | nullThe user's job title.userNamestringrequiredThe name of the user as set by the SysAdmin.companyCompanynullCompany objectgroupsarray of objectsgroupsADD objectinitialPasswordstringlength ≥ 8User's password to log into SysAid. Must be at least 8 characters long and contain at least one uppercase letter, one lowercase letter, and one number or special character. If left empty, SysAid will auto-generate a password.Responses 201End user created successfully 400The request was invalid or cannot be served 401Authentication information is missing or invalid 403The server understood the request but refuses to authorize it 409The request could not be completed due to a conflict with the current state of the resource. This typically occurs when attempting to create a duplicate resource, update a resource that has been modified by another process, or when business rules prevent the operation.Updated 10 months ago